View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012424CMakeCCMakepublic2011-08-26 09:512016-06-10 14:31
Reporterjoshua keeney 
Assigned ToKitware Robot 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionmoved 
PlatformVisual C++ 2010 Express OSwindows xp pro OS Versionsp3
Product VersionCMake 2.8.5 
Target VersionFixed in Version 
Summary0012424: error in configuration process
DescriptionCheck for working C compiler using: Visual Studio 10
Check for working C compiler using: Visual Studio 10 -- broken
CMake Error at C:/Program Files/CMake 2.8/share/cmake-2.8/Modules/CMakeTestCCompiler.cmake:52 (MESSAGE):
  The C compiler "cl" is not able to compile a simple test program.

  It fails with the following output:

   Change Dir: C:/Build/CMakeFiles/CMakeTmp

  

  Run Build Command:C:\PROGRA~1\MICROS~1.0\Common7\IDE\VCExpress.exe
  CMAKE_TRY_COMPILE.sln /build Debug /project cmTryCompileExec

  

  Microsoft (R) Visual C++ 2010 Express Version 10.0.30319.1.

  Copyright (C) Microsoft Corp. All rights reserved.

  1>------ Build started: Project: cmTryCompileExec, Configuration: Debug
  Win32 ------

  1>cl : Command line warning D9035: option 'GZ' has been deprecated and will
  be removed in a future release

  1>cl : Command line warning D9036: use 'RTC1' instead of 'GZ'

  1> testCCompiler.c

  1>c1 : fatal error C1060: compiler is out of heap space

  ========== Build: 0 succeeded, 1 failed, 0 up-to-date, 0 skipped
  ==========

  

  

  CMake will not be able to correctly generate this project.
Call Stack (most recent call first):
  CMakeLists.txt:16 (project)


Configuring incomplete, errors occurred!
Steps To ReproduceOpen CMake (cmake-gui)
Fill in the data as follows:

Where the the source code: C:\SkyFireEMU\Core
Where to build the binaries: C:\SkyFireEMU\Build

Click Configure.
It should ask you if you want to create the directory, click yes.
A dialog should pop up asking you what compiler you will be using. Select the appropriate compiler and select Use default native compilers then click Finish.
Additional Informationi have Visual C++ 2010 Express Version 10.0.30319.1 installed
 if that can help and i cant upload it cause it is 186 meg folder it is a ful program just use git gui and get the file here is the get info you need to get it from git

https://github.com/ProjectSkyfire/SkyFireEMU.git [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027277)
joshua keeney (reporter)
2011-08-27 20:26

i have went out and got vs10 ultimate and still have the same problem
(0030298)
David Cole (manager)
2012-08-11 11:38

Sending old, never assigned issues to the backlog.

(The age of the bug, plus the fact that it's never been assigned to anyone means that nobody is actively working on it...)

If an issue you care about is sent to the backlog when you feel it should have been addressed in a different manner, please bring it up on the CMake mailing list for discussion. Sign up for the mailing list here, if you're not already on it: http://www.cmake.org/mailman/listinfo/cmake [^]

It's easy to re-activate a bug here if you can find a CMake developer who has the bandwidth to take it on, and ferry a fix through to our 'next' branch for dashboard testing.
(0038897)
voidpointer (reporter)
2015-06-08 17:36
edited on: 2015-06-08 17:36

Using VS 2013, I'm getting the heap space issue.

I manually set /Zm200 and that fixed the issue.

Using CMake version 3.2

(0041893)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2011-08-26 09:51 joshua keeney New Issue
2011-08-27 20:26 joshua keeney Note Added: 0027277
2012-08-11 11:38 David Cole Status new => backlog
2012-08-11 11:38 David Cole Note Added: 0030298
2015-06-08 17:36 voidpointer Note Added: 0038897
2015-06-08 17:36 voidpointer Note Edited: 0038897 View Revisions
2016-06-10 14:28 Kitware Robot Note Added: 0041893
2016-06-10 14:28 Kitware Robot Status backlog => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:28 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker